All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
common.hpp File Reference

Common routines for single-threaded or OpenMP-enabled execution on CPU. More...

`#include "viennacl/traits/handle.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::linalg::host_based::detail::vector_array_wrapper< NumericT >
| Helper class for accessing a strided subvector of a larger vector. More...
class | viennacl::linalg::host_based::detail::matrix_array_wrapper< NumericT, LayoutT, is_transposed >
| Helper array for accessing a strided submatrix embedded in a larger matrix. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::host_based
| Holds all compute kernels with conventional host-based execution (buffers in CPU RAM).
| viennacl::linalg::host_based::detail
| Helper functions for the host-based linear algebra backend.

## Functions

template<typename ResultT , typename VectorT >
ResultT * | viennacl::linalg::host_based::detail::extract_raw_pointer (VectorT &vec)
template<typename ResultT , typename VectorT >
ResultT const * | viennacl::linalg::host_based::detail::extract_raw_pointer (VectorT const &vec)

## Detailed Description

Common routines for single-threaded or OpenMP-enabled execution on CPU.

Definition in file common.hpp.